Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.crypto.generators
Class DESKeyGenerator

    java.lang.Object
      org.bouncycastle.crypto.CipherKeyGenerator
          org.bouncycastle.crypto.generators.DESKeyGenerator

Direct Known Subclasses:
  DESedeKeyGenerator

    public class DESKeyGenerator

extends CipherKeyGenerator

Field Summary

Fields inherited from class org.bouncycastle.crypto.CipherKeyGenerator
`random, strength`

Constructor Summary
`DESKeyGenerator()`

Method Summary
`byte[]` `generateKey()` generate a secret key.

Methods inherited from class org.bouncycastle.crypto.CipherKeyGenerator
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DESKeyGenerator

    public DESKeyGenerator()

Method Detail

### generateKey

    public byte[] generateKey()

  Description copied from class: `CipherKeyGenerator`
  generate a secret key.

  Overrides:
    `generateKey` in class `CipherKeyGenerator`
  Returns:
    a byte array containing the key value.

Bouncy Castle Cryptography Library 1.40